## org.apache.cocoon.formatter
Interface Formatter

All Known Implementing Classes:
  AbstractFormatter

public interface Formatter

This class must be implemented by the printers that format a DOM tree into streams.

Version:
  $Revision: 1.5 $ $Date: 2000/04/04 11:11:16 $
Author:
  Stefano Mazzocchi

Method Summary
`void` `format(org.w3c.dom.Document document, java.io.Writer writer, java.util.Dictionary parameters)` Prints the give document into a page.
`java.lang.String` `getEncoding()` Returns the encoding used by this formatter for output.
`java.lang.String` `getMIMEType()` Returns the MIME type used by this formatter for output.

Method Detail

### format

    public void format(org.w3c.dom.Document document,
                       java.io.Writer writer,
                       java.util.Dictionary parameters)
                throws java.lang.Exception

  Prints the give document into a page.

### getEncoding

    public java.lang.String getEncoding()

  Returns the encoding used by this formatter for output.

### getMIMEType

    public java.lang.String getMIMEType()

  Returns the MIME type used by this formatter for output.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.